import { jsx } from "react/jsx-runtime";
import { FileDocIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileDoc = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileDoc", ...props, children: /* @__PURE__ */ jsx(FileDocIcon, { weight: variant }) });
  }
);
FileDoc.displayName = "FileDoc";
Object.assign(FileDoc, { isGdsIcon: true });
export {
  FileDoc
};
